/*     */ package com.tiptimes.ctrl;
/*     */ 
/*     */ import com.tiptimes.model.Banner;
/*     */ import com.tiptimes.model.TopSpaceAppearance;
/*     */ import com.tiptimes.service.ActionLogService;
/*     */ import com.tiptimes.service.BannerService;
/*     */ import com.tiptimes.service.SpaceMessageService;
/*     */ import com.tiptimes.util.UUIDUtils;
/*     */ import java.util.HashMap;
/*     */ import java.util.Map;
/*     */ import javax.servlet.http.HttpServletRequest;
/*     */ import javax.servlet.http.HttpServletResponse;
/*     */ import org.json.JSONObject;
/*     */ import org.springframework.beans.factory.annotation.Autowired;
/*     */ import org.springframework.http.HttpEntity;
/*     */ import org.springframework.stereotype.Controller;
/*     */ import org.springframework.web.bind.annotation.RequestMapping;
/*     */ import org.springframework.web.bind.annotation.ResponseBody;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @Controller
/*     */ @RequestMapping({"/Banner"})
/*     */ public class BannerCtrl
/*     */ {
/*     */   @Autowired
/*     */   private BannerService bannerService;
/*     */   @Autowired
/*     */   private ActionLogService actionLoginServer;
/*     */   @Autowired
/*     */   private SpaceMessageService spaceMessageService;
/*     */   
/*     */   @RequestMapping({"/saveBanner"})
/*     */   @ResponseBody
/*     */   public Map<String, Object> saveBanner(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
/*  67 */     String userID = request.getSession().getAttribute("userID").toString();
/*  68 */     String userName = request.getSession().getAttribute("userName").toString();
/*  69 */     Map<String, Object> map = new HashMap<>();
/*  70 */     int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
/*  71 */     if (authorityID != 2 && authorityID != 1) {
/*  72 */       map.put("result", Boolean.valueOf(false));
/*  73 */       map.put("msg", "无权限！");
/*  74 */       this.actionLoginServer.saveActionLog(userID, userName, "保存前端banner，结果：无权限", "");
/*  75 */       return map;
/*     */     } 
/*  77 */     String strData = (String)data.getBody();
/*  78 */     JSONObject jObject = new JSONObject(strData);
/*     */     try {
/*  80 */       String img = jObject.getString("img");
/*  81 */       Banner banner = this.bannerService.listBannerByUserID(userID);
/*  82 */       if (banner != null) {
/*  83 */         banner.setImg(img);
/*  84 */         this.bannerService.updateBanner(banner);
/*     */       } else {
/*  86 */         banner = new Banner();
/*  87 */         banner.setId(UUIDUtils.getUUID());
/*  88 */         banner.setImg(img);
/*  89 */         banner.setUrl("");
/*  90 */         banner.setUserID(userID);
/*  91 */         this.bannerService.saveBanner(banner);
/*     */       } 
/*     */       
/*  94 */       this.actionLoginServer.saveActionLog(userID, userName, "保存前端banner，结果：保存成功", banner.getId());
/*  95 */       map.put("result", Boolean.valueOf(true));
/*  96 */       map.put("msg", "保存成功！");
/*  97 */     } catch (Exception e) {
/*  98 */       map.put("result", Boolean.valueOf(false));
/*  99 */       map.put("msg", "保存失败！");
/* 100 */       this.actionLoginServer.saveActionLog(userID, userName, "保存前端banner，结果：保存失败", "");
/*     */     } 
/*     */     
/* 103 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   @RequestMapping({"/getOneBanner"})
/*     */   @ResponseBody
/*     */   public Map<String, Object> getOneBanner(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
/* 117 */     Map<String, Object> map = new HashMap<>();
/* 118 */     String userID = request.getSession().getAttribute("userID").toString();
/* 119 */     Banner banner = this.bannerService.listBannerByUserID(userID);
/* 120 */     map.put("banner", banner);
/* 121 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   @RequestMapping({"/saveTopSpaceAppearance"})
/*     */   @ResponseBody
/*     */   public Map<String, Object> saveTopSpaceAppearance(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
/* 136 */     String userID = request.getSession().getAttribute("userID").toString();
/* 137 */     String userName = request.getSession().getAttribute("userName").toString();
/* 138 */     Map<String, Object> map = new HashMap<>();
/* 139 */     int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
/* 140 */     if (authorityID != 1) {
/* 141 */       map.put("result", Boolean.valueOf(false));
/* 142 */       map.put("msg", "无权限！");
/* 143 */       this.actionLoginServer.saveActionLog(userID, userName, "保存前端空间外观，结果：无权限", "");
/* 144 */       return map;
/*     */     } 
/* 146 */     String strData = (String)data.getBody();
/* 147 */     JSONObject jObject = new JSONObject(strData);
/*     */     try {
/* 149 */       String img = jObject.getString("img");
/* 150 */       String selectColor = jObject.getString("selectColor");
/* 151 */       String fontcolor = jObject.getString("fontcolor");
/* 152 */       String tell = jObject.getString("tell");
/* 153 */       String address = jObject.getString("address");
/* 154 */       TopSpaceAppearance topSpaceAppearance = this.bannerService.listTopSpaceAppearanceByUserID(userID);
/* 155 */       if (topSpaceAppearance != null) {
/* 156 */         topSpaceAppearance.setImg(img);
/* 157 */         topSpaceAppearance.setFontColor(fontcolor);
/* 158 */         topSpaceAppearance.setSelectColor(selectColor);
/* 159 */         topSpaceAppearance.setAddress(address);
/* 160 */         topSpaceAppearance.setTell(tell);
/* 161 */         this.bannerService.updateTopSpaceAppearance(topSpaceAppearance);
/*     */       } else {
/* 163 */         topSpaceAppearance = new TopSpaceAppearance();
/* 164 */         topSpaceAppearance.setId(UUIDUtils.getUUID());
/* 165 */         topSpaceAppearance.setImg(img);
/* 166 */         topSpaceAppearance.setFontColor(fontcolor);
/* 167 */         topSpaceAppearance.setSelectColor(selectColor);
/* 168 */         topSpaceAppearance.setUserID(userID);
/* 169 */         topSpaceAppearance.setAddress(address);
/* 170 */         topSpaceAppearance.setTell(tell);
/* 171 */         this.bannerService.saveTopSpaceAppearance(topSpaceAppearance);
/*     */       } 
/*     */       
/* 174 */       this.actionLoginServer.saveActionLog(userID, userName, "保存前端空间外观，结果：保存成功", topSpaceAppearance.getId());
/* 175 */       map.put("result", Boolean.valueOf(true));
/* 176 */       map.put("msg", "保存成功！");
/* 177 */     } catch (Exception e) {
/* 178 */       map.put("result", Boolean.valueOf(false));
/* 179 */       map.put("msg", "保存失败！");
/* 180 */       this.actionLoginServer.saveActionLog(userID, userName, "保存前端空间外观，结果：保存失败", "");
/*     */     } 
/*     */     
/* 183 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   @RequestMapping({"/getOneTopSpaceAppearance"})
/*     */   @ResponseBody
/*     */   public Map<String, Object> getOneTopSpaceAppearance(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
/* 197 */     Map<String, Object> map = new HashMap<>();
/* 198 */     String userID = request.getSession().getAttribute("userID").toString();
/* 199 */     TopSpaceAppearance topSpaceAppearance = this.bannerService.listTopSpaceAppearanceByUserID(userID);
/*     */     
/* 201 */     map.put("topSpaceAppearance", topSpaceAppearance);
/* 202 */     return map;
/*     */   }
/*     */ }


/* Location:              D:\project\ROOT\WEB-INF\classes\!\com\tiptimes\ctrl\BannerCtrl.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       1.1.3
 */